//
//  Argos2LogicTests.m
//  Argos2LogicTests
//
//  Created by Carlos Giménez on 04/05/13.
//  Copyright (c) 2013 Carlos Giménez. All rights reserved.
//

#import "Argos2LogicTests.h"
#import "ViewController.h"
#import "celdaDireccionesCell.h"
#import "EditarSitioViewController.h"
#import "MQViewController.h"
#import "configuracionViewController.h"
#import "instruccionesViewController.h"

@implementation Argos2LogicTests {
    ViewController *view;
    instruccionesViewController *viewInst;
    configuracionViewController *viewConfig;
}

- (void)setUp
{
    [super setUp];
    
    view = [[ViewController alloc] init];
    viewConfig = [[configuracionViewController alloc] init];
    viewInst = [[instruccionesViewController alloc] init];
    
    // Set-up code here.
    
}

- (void)tearDown
{
    // Tear-down code here.
    
    [super tearDown];
    
}

- (void) testFormattedStringForDuration1 {
    NSString *str1 = (NSString *) [view formattedStringForDuration:45];
    STAssertEqualObjects(str1, @"45 seg", @"Error amb els segons");
}

- (void) testFormattedStringForDuration2 {
    NSString *str2 = (NSString *) [view formattedStringForDuration:1000];
    STAssertEqualObjects(str2, @"16 min 40 seg", @"Error amb els minuts");
}

- (void) testFormattedStringForDuration3 {
    NSString *str3 = (NSString *) [view formattedStringForDuration:7850];
    STAssertEqualObjects(str3, @"2 h 10 min 50 seg", @"Error amb les hores");
}

- (void) testGeocodifica1 {
    CLLocationCoordinate2D coordenadas = [view geocodifica:@"Camp Nou, Barcelona"];
    CLLocationCoordinate2D coordCompara = CLLocationCoordinate2DMake(41.381349,2.123303);
    STAssertEqualsWithAccuracy(coordenadas.latitude, coordCompara.latitude, 0.001, @"Error de latitud 1");
    STAssertEqualsWithAccuracy(coordenadas.longitude, coordCompara.longitude, 0.001, @"Error de longitud 1");
}

- (void) testGeocodifica2 {
    CLLocationCoordinate2D coordenadas = [view geocodifica:@"Carrer Valencia 230, Barcelona"];
    CLLocationCoordinate2D coordCompara = CLLocationCoordinate2DMake(41.390107,2.160019);
    STAssertEqualsWithAccuracy(coordenadas.latitude, coordCompara.latitude, 0.001, @"Error de latitud 2");
    STAssertEqualsWithAccuracy(coordenadas.longitude, coordCompara.longitude, 0.001, @"Error de longitud 2");
}

- (void) testGeocodifica3 {
    CLLocationCoordinate2D coordenadas = [view geocodifica:@"Plaza de Cibeles, Madrid"];
    CLLocationCoordinate2D coordCompara = CLLocationCoordinate2DMake(40.419312,-3.693078);
    STAssertEqualsWithAccuracy(coordenadas.latitude, coordCompara.latitude, 0.001, @"Error de latitud 3");
    STAssertEqualsWithAccuracy(coordenadas.longitude, coordCompara.longitude, 0.001, @"Error de longitud 3");
}

-(void) testPermutacions1 {
    NSArray *charArray = [[NSArray alloc] initWithObjects: @"a", @"b", @"c", nil];
    NSArray *permutacions = [view permWithoutRepFrom:charArray taking:[charArray count]];
    STAssertEquals([permutacions count], (NSUInteger) 6, @"Error permutant");
}

-(void) testPermutacions2 {
    NSArray *charArray = [[NSArray alloc] initWithObjects: @"a", @"b", @"c", @"d", @"e", nil];
    NSArray *permutacions = [view permWithoutRepFrom:charArray taking:[charArray count]];
    STAssertEquals([permutacions count], (NSUInteger) 120, @"Error permutant");
}

-(void) testOptimitza {
    
}


/*- (void)testExample
{
    STFail(@"Unit tests are not implemented yet in Argos2LogicTests");
}*/

@end
